#include <AppKit.h>
#include "myWindow.h"

//--------------------------------------------------------------------
myWindow::myWindow() 
	: BWindow(BRect(0, 0, 400., 400.), "BlackWin", B_TITLED_WINDOW, B_NOT_RESIZABLE | B_NOT_ZOOMABLE)
{
	// Positionne la fenetre
	MoveTo(160, 128);

	// Creation d'une vue dans la fenetre
	backView = new myView(Bounds(), "back");
	backView->SetViewColor(0, 0, 0);
	AddChild (backView);

	// affiche du texte
	BStringView *str = new BStringView(BRect(20., 20.,200.,35.), "str", "et hop! une chaine de caracteres");
	str->SetHighColor(255, 255, 255);
	backView->AddChild(str);

	// Affiche la fenetre
	Show();
	Sync();
}


//--------------------------------------------------------------------
myWindow::~myWindow()
{
	// Fermeture de la fenetre
	Hide();
	Sync();
}


//--------------------------------------------------------------------
bool myWindow::QuitRequested(void)
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return true;
}
